Subject: RE: [PATCH bpf v9 00/14] bpf sockmap fixes

From: John Fastabend <[email-masked]>
Date: Mon, 22 May 2023 18:22:58 -0700

John Fastabend wrote:
> John Fastabend wrote:
> > v9, rebased which resulted in two additions needed. Patch 14
> > to resolve an introduced verifier error. I'll try to dig into
> > exactly what happened but the fix was easy to get test_sockmap
> > running again. And then in vsock needed similar fix to the
> > the protocols so I folded that into the first patch.
> 
> [...]
> 
> Guess we need yet another build CI seems to be upset building
> this.
> 
> 2023-05-22T17:37:37.7500703Z In file included from /tmp/work/bpf/bpf/tools/testing/selftests/bpf/prog_tests/sockmap_basic.c:17:
> 2023-05-22T17:37:37.7501506Z /tmp/work/bpf/bpf/tools/testing/selftests/bpf/prog_tests/sockmap_helpers.h:240:18: error: use of undeclared identifier 'VMADDR_CID_LOCAL'
> 2023-05-22T17:37:37.7501950Z         addr->svm_cid = VMADDR_CID_LOCAL;
> 2023-05-22T17:37:37.7503213Z                   
> 
> Interestingly clang version (latest) here is fine with it. Anyways
> will fix we should put define near where its used. :/

Sorry bit noisy but the reason is I don't need the define here I have
new enough headers. I typically install kernel headers with the src.